library(stockassessment)
setwd("run")
load("data.RData")

conf <- defcon(dat)
conf$fbarRange <- c(4,8)

conf$corFlag <- 2
conf$keyLogFsta[1,9:13] <- 8
#conf$keyLogFsta[1,13] <- 12
conf$fixVarToWeight     	   <- 0 
conf$stockRecruitmentModelCode <- 0 

conf$obsCorStruct[2:3] <- c("AR","AR")
conf$keyCorObs[2,1:7] <- 0
conf$keyCorObs[3,1:7] <- 1

#conf$obsCorStruct[2:3] <- c("AR","AR")
#conf$keyCorObs[2,1:7] <- 0
#conf$keyCorObs[3,1:7] <- 1


conf$keyVarObs[2,]<-c(1, 2, 3, 4, 5, 6, 7, 8, -1, -1, -1, -1, -1)
conf$keyVarObs[3,]<-c(9, 10, 11, 12, 13, 14, 15, 16, -1, -1, -1, -1, -1)

par <- defpar(dat,conf)

fit <- sam.fit(dat,conf,par ) 

save(fit, file="model.RData")
